%define oname   RubyInline

Name:       ruby-%{oname}
Epoch:      1
Version:    3.9.0
Release:    %mkrel 3
Summary:    Inline allows you to write foreign code within your ruby code
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/rubyinline/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Inline allows you to write foreign code within your ruby code. It
automatically determines if the code in question has changed and
builds it only when necessary. The extensions are then automatically
loaded into the class/module that defines it.
You can even write extra builders that will allow you to write inlined
code in any language. Use Inline::C as a template and look at
Module#inline for the required API.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

# Fix shebang
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/inline.rb

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1:3.9.0-3.mga3
+ Revision: 395702
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:3.9.0-2.mga3
+ Revision: 380615
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1:3.9.0-1.mga3
+ Revision: 312535
- new version 3.9.0

* Fri Jun 08 2012 shlomif <shlomif> 3.11.2-1.mga3
+ Revision: 257753
- New version - 3.11.2

* Tue Jan 25 2011 shikamaru <shikamaru> 3.8.6-3.mga1
+ Revision: 39634
- rebuild for new rubygems.rb

* Mon Jan 24 2011 shikamaru <shikamaru> 3.8.6-2.mga1
+ Revision: 37757
- imported package ruby-RubyInline

